namespace CSV_Metrics_Logger;

/// <summary>
/// An attribute to mark a struct as a CSV record. Every so marked struct
/// will be augmented with the necessary methods to convert it to a CSV record.
/// In order to work, the struct must be partial.
/// </summary>
[AttributeUsage(AttributeTargets.Struct)]
public sealed class CSVRecordAttribute : Attribute;